Subject: [Ietf-calsify] rfc2445bis: ABNF in section 3.1

From: alexey.melnikov at isode.com (Alexey Melnikov)
Date: Mon Oct 30 12:16:42 2006

>3.1.  Content Lines
 [...]

 >      CR = %x0D
 >      ; carriage return
 >
 >      LF = %x0A
 >      ; line feed
 >
 >      CRLF       = CR LF
 >      ; Internet standard newline

These 3 rules are already defined in RFC 4234, no need to repeat them in 
this document.

 >      CTL        = %x00-08 / %x0A-1F / %x7F
 >        ; Controls

Oops, RFC 4234 defines this rule as:

      CTL        =  %x00-1F / %x7F
        ; controls

i.e. it includes HTAB!

I suggest that iCalendar renamed CTL to ICAL-CTL, or similar.

 >      ALPHA      = %x41-5A / %x61-7A   ; A-Z / a-z
 >
 >      DIGIT      = %x30-39
 >        ; 0-9
 >
 >      DQUOTE     = %x22
 >        ; Quotation Mark
 >
 >      WSP        = SPACE / HTAB
 >
 >      SPACE      = %x20
 >
 >      HTAB       = %x09

These rules are already defined in RFC 4234, no need to repeat them.
But note that the "SPACE" rule was renamed to "SP" in RFC 4234. The 
SPACE is only used in section 3.1 as far as I can see.